> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refund Status

> The refund status is tracked via the Refund ID

This API retrieves the status of a refund for a specific order.

### Request Parameters

* `key` (string): Merchant API key
* `refund_id` (string): Refund ID
* `hash` (string): Calculated hash for request validation

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "refund_status": "processed",
  "refund_id": "string"
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid request",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /api/v2/order/refund/fetch
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/order/refund/fetch:
    post:
      summary: Refund Status
      description: The refund status is tracked via the Refund ID
      operationId: refund-status
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - key
                - id
                - hash
              properties:
                key:
                  type: string
                  description: Merchant Account API
                id:
                  type: string
                  description: >-
                    Refund Id will be provided in refund order api or refund
                    attempts api
                hash:
                  type: string
                  description: Only required in V1 API . Pass NULL IN V2 API
                  default: 'null'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": true,
                        "message": "Refund Data Fetched Successfully",
                        "data": {
                            "refund_id": "7230436xxxxxxxx056",
                            "amount": 100,
                            "type": "Full",
                            "status": "initiated",
                            "rrn": "xxxxxxxxxxxxxxxxxxx",
                            "attempted_at": "2xxx-0x-2xT07:55:30.000000Z"
                        },
                        "request_id": "6xxf20axxxxxf"
                    }
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Refund Data Fetched Successfully
                  data:
                    type: object
                    properties:
                      refund_id:
                        type: string
                        example: 7230436xxxxxxxx056
                      amount:
                        type: integer
                        example: 100
                        default: 0
                      type:
                        type: string
                        example: Full
                      status:
                        type: string
                        example: initiated
                      rrn:
                        type: string
                        example: xxxxxxxxxxxxxxxxxxx
                      attempted_at:
                        type: string
                        example: 2xxx-0x-2xT07:55:30.000000Z
                  request_id:
                    type: string
                    example: 6xxf20axxxxxf
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````